在学习junit5导入依赖报错

同时导入maven-surefire-plugin和maven-failsafe-plugin时,maven-failsafe-plugin会报错


代码链接:JUnit5Basic/pom.xml · 大喜儿/javaBase - Gitee.com
辛苦帮忙查看

报错信息麻烦贴一下

红框内删除,build标签内为以下内容

<build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>3.0.0-M5</version>
              
                <dependencies>
                    <dependency>
                        <groupId>org.junit.jupiter</groupId>
                        <artifactId>junit-jupiter-engine</artifactId>
                        <version>5.8.2</version>
                    </dependency>
                    <dependency>
                        <groupId>org.junit.vintage</groupId>
                        <artifactId>junit-vintage-engine</artifactId>
                        <version>5.8.2</version>
                    </dependency>
                </dependencies>
            </plugin>
        </plugins>
    </build>

``

我这边删除还是展示报错,辛苦帮忙看看

整个pom文件上传一下,看看

还报错吗

maven-failsafe-plugin可以不添加

关闭